PROJ = AR
PROJFILE = AR.mak
DEBUG = 1

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
CC	= cl
CFLAGS_G  = /AC /W4 /Zp /BATCH
CFLAGS_D  = /qc /Gi$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC /PACKD /PMTYPE:VIO
LFLAGS_R  = /EXE /FAR /PACKC /PACKD /PMTYPE:VIO
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  =	/NOD:CLIBCE CLIBCEP
LLIBS_D  =	/NOD:CLIBCE CLIBCEP

OBJS  = AR.obj DECODE.obj ENCODE.obj HUF.obj IO.obj MAKETBL.obj MAKETREE.obj
SBRS  = AR.sbr DECODE.sbr ENCODE.sbr HUF.sbr IO.sbr MAKETBL.sbr MAKETREE.sbr

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .sbr .obj .c

AR.obj : AR.C ar.h

AR.sbr : AR.C ar.h

DECODE.obj : DECODE.C ar.h

DECODE.sbr : DECODE.C ar.h

ENCODE.obj : ENCODE.C ar.h

ENCODE.sbr : ENCODE.C ar.h

HUF.obj : HUF.C ar.h

HUF.sbr : HUF.C ar.h

IO.obj : IO.C ar.h

IO.sbr : IO.C ar.h

MAKETBL.obj : MAKETBL.C ar.h

MAKETBL.sbr : MAKETBL.C ar.h

MAKETREE.obj : MAKETREE.C ar.h

MAKETREE.sbr : MAKETREE.C ar.h


$(PROJ).bsc : $(SBRS)
		$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
		$(ILINK) -a -e "$(LINKER) @$(PROJ).lrf" $@
!ELSE
		$(LINKER) @$(PROJ).lrf
!ENDIF


.c.sbr :
!IF $(DEBUG)
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
		$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
		$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).exe
		$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
		CVP $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
